server {
    listen 8080;
    listen  [::]:8080;
    server_name localhost;

    location / {
        root   /usr/share/nginx/admintool;
        index  index.html index.htm;
        try_files $uri $uri/ /index.html;
    }

    # api reverse proxy
    location /api/ {
        proxy_pass http://10.20.20.23:23450;
        proxy_set_header Host $host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header X-Forwarded-Proto $scheme;
    }

    error_page 500 502 503 504 /50x.html;
    location = /50x.html {
        root   /usr/share/nginx/admintool;
    }
}